Subject: Re: Remove redundant initialization of smgr pointer for relcache

From: Zsolt Parragi <[email-masked]>
Date: Fri, 23 Jan 2026 08:08:47 +0000

Hello!

This is a simple change, and should work correctly.

However, I think I would do more, as this part of the code is just confusing.

* AllocateRelationDesc only has one caller
* Its description comment only mentions some things it does, not all
of them. The call site explains it differently, but also not
completely.

I would at least also modify the comments so that they are only at one
place and explain the function correctly. But maybe it would be even
better to remove this function completely or to modify it so it's
usable at multiple places?